summaryrefslogtreecommitdiffstats
path: root/start-testsuite.sh
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-08-19 15:27:10 +0200
committerHarald Welte <laforge@gnumonks.org>2017-08-19 15:27:10 +0200
commit4d7722900a041ff74d70c34e8d2ecabfe8b7b153 (patch)
treec4c4ef71da865abc181fe24b02f8474a545bb9ed /start-testsuite.sh
parent8b4123f67fd1487ed4fa7621bad80227333a16f6 (diff)
generalize 'start.sh' script for executing synamically linked testsuite
Diffstat (limited to 'start-testsuite.sh')
-rwxr-xr-xstart-testsuite.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/start-testsuite.sh b/start-testsuite.sh
new file mode 100755
index 0000000..87cf08b
--- /dev/null
+++ b/start-testsuite.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Helper script to starte a TITAN-generated test suite, supporting
+# dynamically linked suites to ensure JUNIT generation is possible.
+
+if [ $# -lt 1 ]; then
+ echo "You have to specify the test suite name"
+ echo "Syntax example: $0 osmo-ttcn3-hacks/ggsn_tests/GGSN_Test ./GGSN_Test.cfg"
+ exit 1
+fi
+
+SUITE=$1
+CFG=`basename $SUITE`.cfg
+if [ $# -gt 1 ]; then
+ CFG=$2
+fi
+
+LD_LIBRARY_PATH=`dirname $SUITE`:/usr/lib/titan ttcn3_start $SUITE $CFG